patches/gcc/4.4.1/300-uclibc-conf.patch
author Anthony Foiani <anthony.foiani@gmail.com>
Thu Apr 26 19:55:59 2012 -0600 (2012-04-26)
changeset 2939 58974be61289
parent 1393 b432bd628b10
permissions -rw-r--r--
Allow multi-word "install" command.

Autoconf can determine that the correct install command includes flags,
e.g., "/usr/bin/install -c". When using this as a command, we can't
enclose the value in double-quotes, as that makes some shells use the
whole expression as a filename:

# this is the value returned by autoconf and stored in CT_install
$ ins="/usr/bin/install -c"

# if we call it with quotes, the command is not found
$ "${ins}"
bash: /usr/bin/install -c: No such file or directory

# removing the quotes lets it work as expected
$ ${ins}
/usr/bin/install: missing file operand
Try `/usr/bin/install --help' for more information.

Signed-Off-By: Anthony Foiani <anthony.foiani@gmail.com>
yann@1393
     1
diff -durN gcc-4.4.0.orig/contrib/regression/objs-gcc.sh gcc-4.4.0/contrib/regression/objs-gcc.sh
yann@1393
     2
--- gcc-4.4.0.orig/contrib/regression/objs-gcc.sh	2009-04-10 01:23:07.000000000 +0200
yann@1393
     3
+++ gcc-4.4.0/contrib/regression/objs-gcc.sh	2009-05-27 21:38:53.000000000 +0200
yann@1393
     4
@@ -106,6 +106,10 @@
yann@1393
     5
  then
yann@1393
     6
   make all-gdb all-dejagnu all-ld || exit 1
yann@1393
     7
   make install-gdb install-dejagnu install-ld || exit 1
yann@1393
     8
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
yann@1393
     9
+ then
yann@1393
    10
+  make all-gdb all-dejagnu all-ld || exit 1
yann@1393
    11
+  make install-gdb install-dejagnu install-ld || exit 1
yann@1393
    12
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
yann@1393
    13
   make bootstrap || exit 1
yann@1393
    14
   make install || exit 1
yann@1393
    15
diff -durN gcc-4.4.0.orig/libjava/classpath/ltconfig gcc-4.4.0/libjava/classpath/ltconfig
yann@1393
    16
--- gcc-4.4.0.orig/libjava/classpath/ltconfig	2007-06-04 01:18:43.000000000 +0200
yann@1393
    17
+++ gcc-4.4.0/libjava/classpath/ltconfig	2009-05-27 21:38:53.000000000 +0200
yann@1393
    18
@@ -603,7 +603,7 @@
yann@1393
    19
 
yann@1393
    20
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
yann@1393
    21
 case $host_os in
yann@1393
    22
-linux-gnu*) ;;
yann@1393
    23
+linux-gnu*|linux-uclibc*) ;;
yann@1393
    24
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
yann@1393
    25
 esac
yann@1393
    26
 
yann@1393
    27
@@ -1251,7 +1251,7 @@
yann@1393
    28
   ;;
yann@1393
    29
 
yann@1393
    30
 # This must be Linux ELF.
yann@1393
    31
-linux-gnu*)
yann@1393
    32
+linux*)
yann@1393
    33
   version_type=linux
yann@1393
    34
   need_lib_prefix=no
yann@1393
    35
   need_version=no